Subject: Re: bug#54183: 28.0.91; Emacs crashes on bookmark-jump
From: Eli Zaretskii <[email-masked]>
To: Gustavo Barros <[email-masked]>
Cc: [email-masked]
Date: Thu, 03 Mar 2022 20:33:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Gustavo Barros <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 03 Mar 2022 15:10:00 -0300
> 
> 
> On Thu, 03 Mar 2022 at 18:43, Eli Zaretskii <[email-masked]> wrote:
> 
> > OK, thanks.  For the final check, please run "make install", so that
> > the patched binary replaces the original one, then start Emacs as you
> > were used to, via './lib-src/emacsclient -c -a=""', and see if your
> > original recipe now works without crashing.  I will then install the
> > changes on the emacs-28 branch, so they will be in Emacs 28.1.
> 
> I have done so, and I can gladly report that I can start emacs directly 
> through `./lib-src/emacsclient -c -a=""', can call `bookmark-jump' with 
> no crash, and get a proper fringe bookmark.  :-)

Thanks, I installed the changes, and I'm closing this bug.

Many thanks for your help in investigating this tricky issue.